html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

[v-cloak] {
    display: none;
}

.form-control:focus, .btn:focus, .form-select:focus {
    box-shadow: none !important;
}

.text-shadow {
    text-shadow: 2px 2px 4px rgba(0,0,0,0.4);
}

.hover-scale {
    transition: transform 1s ease, box-shadow 0.5s ease;
}

    .hover-scale:hover {
        transform: translateY(-3px) scale(1.02);
    }

.fade-control {
    opacity: 0.8;
    transition: opacity 0.2s ease;
}

    .fade-control:hover {
        opacity: 1;
    }

.color-invert {
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    filter: grayscale(100%);
    filter: gray;
}

.text-truncate-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* 核心：限制行数为2 */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-truncate-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3; /* 核心：限制行数为2 */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.hover-scale {
    transition: transform 1s ease, box-shadow 0.5s ease;
    cursor:pointer;
}

    .hover-scale:hover {
        transform: translateY(-3px) scale(1.2);
    }


.link-hover-success:hover {
    color: #7ED321 !important;
}

.html-rendering img{
    border-radius:5px;
    border:groove 1px #eee;
    padding:2px;
    width:100%;
    max-width:100%;
    overflow:hidden;
}

pre {
    border-radius:5px;
}
pre, code {
    white-space: pre-wrap !important; /* 保留换行符 */
    word-wrap: break-word !important; /* 长单词自动换行 */
}
/* for block of numbers */
.hljs-ln-numbers {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-align: center;
    color: #ccc;
    border-right: 1px solid #CCC;
    vertical-align: top;
    padding-right: 5px;
    /* your custom style here */
}
td.hljs-ln-numbers {
    padding-right: 10px !important;
}
td.hljs-ln-code {
    padding-left: 10px !important;
}
/* for block of code */
.hljs-ln-code {
    padding-left: 10px;
}

.html-rendering h1, .html-rendering h2, .html-rendering h3, .html-rendering h4, .html-rendering h5{
    font-size:1.2em;
    font-weight:bolder;
    opacity:0.8;
}
.html-rendering strong{
    font-size: 1em;
    opacity: 0.8;
}
.html-rendering iframe {
    width:100%;
    aspect-ratio:5/3;
    border-radius:10px;
}

.html-rendering  blockquote{

}

.html-rendering blockquote {
    background: #f9f9f9;
    border-left: 10px solid #ccc;

    padding: 0.5em 10px;
    quotes: "\201C""\201D""\2018""\2019";
    font-size: 1em;
}

    .html-rendering blockquote:before {
        color: #ccc;
        content: open-quote;
        font-size: 4em;
        line-height: 0.1em;
        margin-right: 0.25em;
        vertical-align: -0.4em;
    }

    .html-rendering blockquote p {
        display: inline;
    }